Name:           tennix
Version:        0.6.1
Release:        5%{?dist}
Summary:        A simple tennis game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://icculus.org/tennix/
Source0:        http://icculus.org/tennix/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, SDL_mixer-devel SDL_image-devel
BuildRequires:  desktop-file-utils


%description
Tennix! is a SDL port of a simple tennis game.
It features a two-player game mode and a single-player mode
against the computer.


%prep
%setup -q
sed -i -e 's/install -s/install/' makefile
sed -i -e 's/install -m/install -p -m/' makefile


%build
CFLAGS="%{optflags}" make
# Usage of smp_mflags causes compilation to fail
# make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
PREFIX=%{_prefix} make install DESTDIR=$RPM_BUILD_ROOT

# Remove executable flag from man page
chmod a-x $RPM_BUILD_ROOT/%{_mandir}/man6/%{name}.*

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
                     --vendor fedora                                         \
                     --delete-original                                       \
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 27 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-4
- updated Summary
- fixed filename in SOURCE
- fixed paths in install section
- fixed icon caching after installing and uninstalling
- fixed timestamps preservation in prep section

* Sun Aug 24 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-3
- fixed .desktop file name in files section

* Mon May 12 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-2
- make install doesn't strip binaries
- make uses OPTFLAGS

* Wed May  7 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-1
- Initial release
